/* INPUT ================ */

@import "../../../core/variables";

$input-height: 50px;
$input-padding-horizontal: 20px;
$input-border-radius: 10px;
$input-font-size: $text-size-s;
$input-color: $color-black-light;
$input-border: 1px solid $color-white;
$input-background-color: $color-white;

$input-placeholder-color: lighten($color-black-light, 10%);

$input-background-color-gray: #f4f6f5;
$input-border-color-gray: $input-background-color-gray;

.form-input {
  width: 100%;
  height: $input-height;
  padding-right: $input-padding-horizontal;
  padding-left: $input-padding-horizontal;
  border: $input-border;
  border-radius: $input-border-radius;
  color: $input-color;
  font-size: $input-font-size;
  background-color: $input-background-color;
  transition: all $transition-time $transition-type;

  &::placeholder {
    color: $input-placeholder-color;
  }

  &:focus {
    outline: none;

    &::placeholder {
      color: transparent;
    }
  }

  &.error {
    border-color: $color-error;
    box-shadow: 0 0 8px 1px $color-error inset;
  }
}

.form-input--l {

  @include mq("laptop") {
    height: 60px;
  }
}

.form-input--gray {
  border-color: $input-border-color-gray;
  background-color: $input-background-color-gray;
}

span.error {
  position: absolute;
  bottom: 100%;
  left: 0;
  display: block;
  width: 100%;
  padding-left: 15px;
  color: $color-error;
  font-size: $text-size-xs;
  text-align: right;
}

.js-mask-phone {

  &:focus {

    &::placeholder {
      color: $color-black-light;
    }
  }
}
/* ================ end input */
